<?php
/**
 * 经纪人积分
 */
require('path.inc.php');

$integral = new Integral($query);
$sql ="select * from fke_member where user_type=1";
$query->open($sql);
while ($rs = $query->next()) {
	//取得昨天的登陆情况
	$dateNow = mktime(0,0,0,date('m'),date('d'),date('Y'));
	$dateNow = $dateNow- 86400;
	//$dateNow = MyDate::transform('timestamp','2009-03-11');
	//昨天登陆了就加5分
	$haslogin = $query_mysql->getValue("select add_time from fke_member_loginlog where username = '".$rs['username']."' and add_time = ".$dateNow);
	if($haslogin){
		$integral->add($rs['id'],1);
	}
	
	
	/*也不行，满两年后部登陆，就会重复加
	//满3年
	
	$last3year = mktime(0,0,0,date('m'),date('d'),date('Y')-3);
	$last3year_login = $query_mysql->getValue("select count(*) from fke_member_loginlog where username = '".$rs['username']."' and add_time <= ".$last3year);
	if($last3year_login==1){
		$integral->add($rs['id'],4);
		break;
	}
	//满2年
	$last2year = mktime(0,0,0,date('m'),date('d'),date('Y')-2);
	$last2year_login = $query_mysql->getValue("select count(*) from fke_member_loginlog where username = '".$rs['username']."' and add_time <= ".$last2year);
	if($last2year_login==1){
		$integral->add($rs['id'],3);
		break;
	}
	//满1年
	$last1year = mktime(0,0,0,date('m'),date('d'),date('Y')-1);
	$last1year_login = $query_mysql->getValue("select count(*) from fke_member_loginlog where username = '".$rs['username']."' and add_time <= ".$last1year);
	if($last1year_login==1){
		$integral->add($rs['id'],2);
		break;
	}*/
	
	/*	
	不行，当天没登陆就不行
	$last3year = mktime(0,0,0,date('m'),date('d'),date('Y')-3);
	$last2year = mktime(0,0,0,date('m'),date('d'),date('Y')-2);
	$last1year = mktime(0,0,0,date('m'),date('d'),date('Y')-1);
	if($rs['add_time']<$last3year-86400 && $rs['add_time']>$last3year){
		//3年以上
		$integral->add($rs['id'],4);
		break;
	}
	if($rs['add_time']<$last2year-86400 && $rs['add_time']>$last2year){
		//3年以上
		$integral->add($rs['id'],3);
		break;
	}
	if($rs['add_time']<$last1year-86400 && $rs['add_time']>$last1year){
		//3年以上
		$integral->add($rs['id'],2);
		break;
	}
	*/
	
	$last3year = mktime(0,0,0,date('m'),date('d'),date('Y')-3);
	$last2year = mktime(0,0,0,date('m'),date('d'),date('Y')-2);
	$last1year = mktime(0,0,0,date('m'),date('d'),date('Y')-1);
	
	if($rs['add_time']<$last3year-86400){
		//3年以上
		if(!$integral->getLogByRuleId($rs['id'],4)){
			$integral->add($rs['id'],4);
		}
	}elseif($rs['add_time']<$last2year-86400){
		//2年以上
		if(!$integral->getLogByRuleId($rs['id'],3)){
			$integral->add($rs['id'],3);
		}
	}elseif($rs['add_time']<$last1year-86400){
		//1年以上
		if(!$integral->getLogByRuleId($rs['id'],2)){
			$integral->add($rs['id'],2);
		}
	}
}


echo "经纪人登陆积分增加完成";

?>